Skip to main content
PUT
/
secrets
/
{secret_id}
Python
import os
from qaip import Qaip

client = Qaip(
    api_key=os.environ.get("QAIP_API_KEY"),  # This is the default and can be omitted
)
secret = client.secrets.update(
    secret_id="secret_id",
    name="name",
)
print(secret.id)
{
  "id": "<string>",
  "name": "<string>",
  "last_update_time": 123,
  "creation_time": 123,
  "description": "<string>"
}

Authorizations

x-api-key
string
header
required

API key for authentication

Path Parameters

secret_id
string
required

Secret ID

Body

application/json
name
string
required

Name of the secret

Maximum string length: 200
secret
string

The secret value (omit to keep unchanged)

Maximum string length: 5000
description
string

Description of the secret

Maximum string length: 1000

Response

Successfully updated secret

id
string
required

Secret ID

name
string
required

Name of the secret

type
enum<string>
required

The type of the secret

Available options:
google_drive,
github,
notion
last_update_time
integer<int64>
required

Last updated time (Unix timestamp in seconds)

creation_time
integer<int64>
required

Creation time (Unix timestamp in seconds)

description
string

Description of the secret